curl --request GET \
--url https://api.topsort.com/public/v1/toppie/reporting/account-activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/toppie/reporting/account-activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/toppie/reporting/account-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"accountActivities": [
{
"date": "2023-12-25",
"transaction": "Ad spend",
"amount": 123
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}[BETA] Account Activity Reports.
Retrieve account activity reports.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
The start date for which reports will be generated.
The end date for which reports will be generated.
The pagination limit.
0 <= x <= 365Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
Response
Successful Response
Response for account activity count.
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
A list with the account activity count.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Was this page helpful?